| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
cv::cudev::NormL1< T > Struct Template Reference
CUDA-accelerated Computer Vision » Device layer

`#include <opencv2/cudev/block/vec_distance.hpp>`

Collaboration diagram for cv::cudev::NormL1< T >:

## Public Types
typedef uint | result_type
typedef int | value_type

## Public Member Functions
__device__ __forceinline__ | NormL1 ()
__device__ __forceinline__ | operator result_type () const
template<int THREAD_DIM>
__device__ __forceinline__ void | reduceBlock (result_type *smem, uint tid)
__device__ __forceinline__ void | reduceThread (value_type val1, value_type val2)
__device__ __forceinline__ void | reduceWarp (result_type *smem, uint tid)

## Public Attributes
result_type | mySum

## Member Typedef Documentation

## ◆ result_type

template<typename T >

uint cv::cudev::NormL1< T >::result_type

## ◆ value_type

template<typename T >

int cv::cudev::NormL1< T >::value_type

## Constructor & Destructor Documentation

## ◆ NormL1()

template<typename T >

__device__ __forceinline__ cv::cudev::NormL1< T >::NormL1 | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator result_type()

template<typename T >

__device__ __forceinline__ cv::cudev::NormL1< T >::operator result_type | ( |  | ) | const
| inline

## ◆ reduceBlock()

template<typename T >
template<int THREAD_DIM>

__device__ __forceinline__ void cv::cudev::NormL1< T >::reduceBlock | ( | result_type * | smem,
|  | uint | tid )
| inline

Here is the call graph for this function:

## ◆ reduceThread()

template<typename T >

__device__ __forceinline__ void cv::cudev::NormL1< T >::reduceThread | ( | value_type | val1,
|  | value_type | val2 )
| inline

## ◆ reduceWarp()

template<typename T >

__device__ __forceinline__ void cv::cudev::NormL1< T >::reduceWarp | ( | result_type * | smem,
|  | uint | tid )
| inline

Here is the call graph for this function:

## Member Data Documentation

## ◆ mySum

template<typename T >

result_type cv::cudev::NormL1< T >::mySum

The documentation for this struct was generated from the following file:

- opencv2/cudev/block/vec_distance.hpp